CREATE TABLE `users` (
`id` INT NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`password` VARCHAR( 255 ) NOT NULL ,
`enabled` INT( 1 ) NOT NULL ,
`defaultgroup` INT NOT NULL ,
`defaultrights` INT( 3 ) NOT NULL ,
`admin` INT( 1 ) NOT NULL ,
`rightedit` INT( 1 ) NOT NULL ,
`treecache` TEXT NOT NULL ,
`deleted` int(1) NOT NULL default '0',
PRIMARY KEY ( `id` )
);

CREATE TABLE `user_group` (
`id` INT NOT NULL AUTO_INCREMENT ,
`userid` INT NOT NULL ,
`groupid` INT NOT NULL ,
PRIMARY KEY ( `id` )
);

CREATE TABLE `groups` (
`id` INT NOT NULL AUTO_INCREMENT ,
`name` VARCHAR( 255 ) NOT NULL ,
`enabled` INT( 1 ) NOT NULL ,
`deleted` int(1) NOT NULL default '0',
PRIMARY KEY ( `id` )
);

ALTER TABLE `content` ADD `owner` INT DEFAULT '0' NOT NULL ,
ADD `group` INT DEFAULT '0' NOT NULL ,
ADD `userrights` INT DEFAULT '0' NOT NULL ,
ADD `grouprights` INT DEFAULT '0' NOT NULL ,
ADD `otherrights` INT DEFAULT '0' NOT NULL ,
ADD `deleted` INT( 1 ) DEFAULT '0' NOT NULL ;

ALTER TABLE `files` ADD `owner` INT DEFAULT '0' NOT NULL ,
ADD `date` TIMESTAMP DEFAULT 'now()' NOT NULL ,
ADD `deleted` INT( 1 ) DEFAULT '0' NOT NULL ;

ALTER TABLE `tree` DROP `visible`;

ALTER TABLE `tree` ADD `owner` INT DEFAULT '0' NOT NULL ,
ADD `group` INT DEFAULT '0' NOT NULL ,
ADD `userrights` INT DEFAULT '0' NOT NULL ,
ADD `grouprights` INT DEFAULT '0' NOT NULL ,
ADD `otherrights` INT DEFAULT '0' NOT NULL ,
ADD `deleted` INT( 1 ) DEFAULT '0' NOT NULL ;

INSERT INTO `users` ( `id` , `name` , `password` , `enabled` , `defaultgroup` , `defaultrights` , `admin` , `rightedit` , `treecache` )
VALUES (
'1', 'admin', '21232f297a57a5a743894a0e4a801fc3', '1', '1', '210', '1', '1', ''
);

INSERT INTO `groups` ( `id` , `name` , `enabled` )
VALUES (
'1', 'admin', '1'
);

INSERT INTO `groups` ( `id` , `name` , `enabled` )
VALUES (
'2', 'users', '1'
);

UPDATE tree SET deleted=0, owner=1, `group`=1, userrights=2, grouprights=1, otherrights=0;
UPDATE content SET deleted=0, owner=1, `group`=1, userrights=2, grouprights=1, otherrights=0;
